> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Data Masking Rules

> List Data Masking Rules



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json get /datamasking-rules
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /datamasking-rules:
    get:
      tags:
        - Data Masking Rules
      summary: List Data Masking Rules
      description: List Data Masking Rules
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/openapi.DataMaskingRule'
                type: array
          description: OK
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.DataMaskingRule:
      properties:
        connection_ids:
          description: The connections that this rule applies to
          example:
            - 15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7
            - 15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8
          items:
            type: string
          type: array
        custom_entity_types:
          description: The custom entity types that this rule applies to
          items:
            $ref: '#/components/schemas/openapi.CustomEntityTypesEntry'
          type: array
        description:
          description: The description of the data masking rule
          example: Mask email addresses in the data
          type: string
        id:
          description: The unique identifier of the data masking rule
          example: 15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7
          format: uuid
          type: string
        name:
          description: >-
            The unique name of the data masking rule, it's immutable after
            creation
          example: mask-email
          type: string
        score_threshold:
          description: The minimal detection score threshold for the entities to be masked.
          example: 0.6
          type: number
        supported_entity_types:
          description: The registered entity types that this rule applies to
          items:
            $ref: '#/components/schemas/openapi.SupportedEntityTypesEntry'
          type: array
        updated_at:
          description: The timestamp when the rule was updated
          example: '2023-08-15T14:30:45Z'
          readOnly: true
          type: string
      required:
        - name
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object
    openapi.CustomEntityTypesEntry:
      properties:
        deny_list:
          description: |-
            List of words to be returned as PII if found.
            Either this or the regex is required
          example:
            - Mr
            - Mr.
            - Mister
          items:
            type: string
          type: array
        name:
          description: The name of the custom entity type as uppercase
          example: ZIP_CODE
          type: string
        regex:
          description: |-
            The regex pattern to match (python) the custom entity type.
            Either this or the deny_list is required
          example: \b\d{5}(?:-\d{4})?\b
          type: string
        score:
          description: >-
            Detection confidence of this pattern (0.01 if very noisy, 0.6-1.0 if
            very specific)
          example: 0.01
          type: number
      required:
        - name
        - score
      type: object
    openapi.SupportedEntityTypesEntry:
      properties:
        entity_types:
          description: The registered entity types in the redact provider
          example:
            - EMAIL_ADDRESS
            - PERSON
            - PHONE_NUMBER
            - IP_ADDRESS
          items:
            type: string
          type: array
        name:
          description: >-
            An identifier for this structure, it's used as an identifier of a
            collection of entities.
          example: PII
          type: string
      type: object

````